Package org.w3c.tidy

# Class TidyMessage.Level

java.lang.Object
org.w3c.tidy.TidyMessage.Level

All Implemented Interfaces:
  `Comparable`

Enclosing class:
  `TidyMessage`

public static final class TidyMessage.Level extends Object implements Comparable
Message severity enumeration.

Version:
  $Revision: 630 $ ($Author: fgiust $)
Author:
  fgiust

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TidyMessage.Level`
`ERROR`
level = error (3).
`static final TidyMessage.Level`
`INFO`
level = info (1).
`static final TidyMessage.Level`
`SUMMARY`
level = summary (0).
`static final TidyMessage.Level`
`WARNING`
level = warning (2).

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object object)`
`boolean`
`equals(Object object)`
`static TidyMessage.Level`
`fromCode(int code)`
Returns the Level instance corresponding to the given int value.
`short`
`getCode()`
Returns the int value for this level.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### SUMMARY

public static final TidyMessage.Level SUMMARY
level = summary (0).

### INFO

public static final TidyMessage.Level INFO
level = info (1).

### WARNING

public static final TidyMessage.Level WARNING
level = warning (2).

### ERROR

public static final TidyMessage.Level ERROR
level = error (3).

## Method Details

### getCode

public short getCode()
Returns the int value for this level.

Returns:
  int value for this level

### fromCode

public static TidyMessage.Level fromCode(int code)
Returns the Level instance corresponding to the given int value.

Parameters:
  `code` - int value for the level
Returns:
  Level instance

### compareTo

public int compareTo(Object object)

Specified by:
  `compareTo` in interface `Comparable`
See Also:
  - `Comparable.compareTo(Object)`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(Object)`

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`
See Also:
  - `Object.hashCode()`